import request from '@/utils/request'

// 查询经营范围列表
export function listNess(query) {
  return request({
    url: '/system/ness/list',
    method: 'get',
    params: query
  })
}

// 查询经营范围详细
export function getNess(id) {
  return request({
    url: '/system/ness/' + id,
    method: 'get'
  })
}

// 新增经营范围
export function addNess(data) {
  return request({
    url: '/system/ness',
    method: 'post',
    data: data
  })
}

// 修改经营范围
export function updateNess(data) {
  return request({
    url: '/system/ness',
    method: 'put',
    data: data
  })
}

// 删除经营范围
export function delNess(id) {
  return request({
    url: '/system/ness/' + id,
    method: 'delete'
  })
}
